spandsp: bell_mf_rx_state_s Struct Reference

spandsp 0.0.6

Public Attributes | List of all members
bell_mf_rx_state_s Struct Reference

`#include <bell_r2_mf.h>`

## Public Attributes
digits_rx_callback_t | digits_callback
void * | digits_callback_data
goertzel_state_t | out [6]
uint8_t | hits [5]
int | current_sample
int | lost_digits
int | current_digits
char | digits [MAX_BELL_MF_DIGITS+1]

## Detailed Description

Bell MF digit detector descriptor.

## Member Data Documentation

## ◆ current_digits

int bell_mf_rx_state_s::current_digits

The number of digits currently in the digit buffer.

Referenced by bell_mf_rx(), bell_mf_rx_get(), and bell_mf_rx_init().

## ◆ current_sample

int bell_mf_rx_state_s::current_sample

The current sample number within a processing block.

Referenced by bell_mf_rx(), and bell_mf_rx_init().

## ◆ digits

char bell_mf_rx_state_s::digits[MAX_BELL_MF_DIGITS+1]

The received digits buffer. This is a NULL terminated string.

Referenced by bell_mf_rx(), bell_mf_rx_get(), and bell_mf_rx_init().

## ◆ digits_callback

digits_rx_callback_t bell_mf_rx_state_s::digits_callback

Optional callback funcion to deliver received digits.

Referenced by bell_mf_rx(), and bell_mf_rx_init().

## ◆ digits_callback_data

void* bell_mf_rx_state_s::digits_callback_data

An opaque pointer passed to the callback function.

Referenced by bell_mf_rx(), and bell_mf_rx_init().

## ◆ hits

uint8_t bell_mf_rx_state_s::hits[5]

Short term history of results from the tone detection, using in persistence checking

Referenced by bell_mf_rx(), and bell_mf_rx_init().

## ◆ lost_digits

int bell_mf_rx_state_s::lost_digits

The number of digits which have been lost due to buffer overflows.

Referenced by bell_mf_rx(), and bell_mf_rx_init().

## ◆ out

goertzel_state_t bell_mf_rx_state_s::out[6]

Tone detector working states

Referenced by bell_mf_rx(), and bell_mf_rx_init().

The documentation for this struct was generated from the following file:

- private/bell_r2_mf.h